Index: modules/opendbxbackend/odbxprivate.cc
===================================================================
--- modules/opendbxbackend/odbxprivate.cc	(revision 1114)
+++ modules/opendbxbackend/odbxprivate.cc	(working copy)
@@ -20,6 +20,13 @@
 		m_handle[type] = NULL;
 	}
 
+	if( type == WRITE && getArg( "backend" ) == "sqlite" )
+	{
+		L.log( m_myname + " Using same SQLite connection for reading and writeing to '" + hosts[odbx_host_index[READ]] + "'", Logger::Notice );
+		m_handle[WRITE] = m_handle[READ];
+		return true;
+	}
+
 	for( i = 0; i < hosts.size(); i++ )
 	{
 		h = ( idx + i ) % hosts.size();
